Package org.eclipse.cdt.core.dom.ast

## Enum EScopeKind

- java.lang.Object
- - java.lang.Enum<EScopeKind>
  - - org.eclipse.cdt.core.dom.ast.EScopeKind

All Implemented Interfaces:
  `Serializable`, `Comparable<EScopeKind>`

    public enum EScopeKind
    extends Enum<EScopeKind>

Enumerates various kinds of scopes

Since:
  5.1

### Enum Constant Summary

Enum Constants
`eClassType` For classes, structs or unions.
`eEnumeration`
`eGlobal`
`eLocal` Used for local scope, but also for function-scope (labels) and function-prototype scope (parameters in function prototypes).
`eNamespace`
`eTemplateDeclaration` For each template declaration a scope is created in which the template parameters can be looked up.

### Method Summary

All Methods Static Methods Concrete Methods
`static EScopeKind` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static EScopeKind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### eLocal

    public static final EScopeKind eLocal

Used for local scope, but also for function-scope (labels) and function-prototype scope (parameters in function prototypes).

#### eEnumeration

    public static final EScopeKind eEnumeration

Since:
  5.2

#### eNamespace

    public static final EScopeKind eNamespace

#### eClassType

    public static final EScopeKind eClassType

For classes, structs or unions.

#### eGlobal

    public static final EScopeKind eGlobal

#### eTemplateDeclaration

    public static final EScopeKind eTemplateDeclaration

For each template declaration a scope is created in which the template parameters can be looked up.

### Method Detail

#### values

    public static EScopeKind[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (EScopeKind c : EScopeKind.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EScopeKind valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null